---
title: brightness()
slug: Web/CSS/filter-function/brightness()
tags:
  - CSS
  - CSS Function
  - Filter Effects
  - Function
  - Reference
---
<div>{{cssref}}</div>

<p>The <strong><code>brightness()</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/CSS_Functions">function</a> applies a linear multiplier to the input image, making it appear brighter or darker. Its result is a {{cssxref("&lt;filter-function&gt;")}}.</p>

<div>{{EmbedInteractiveExample("pages/css/function-brightness.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">brightness(<var>amount</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>amount</var></code></dt>
 <dd>The brightness of the result, specified as a {{cssxref("&lt;number&gt;")}} or a {{cssxref("&lt;percentage&gt;")}}. A value under <code>100%</code> darkens the image, while a value over <code>100%</code> brightens it. A value of <code>0%</code> will create an image that is completely black, while a value of <code>100%</code> leaves the input unchanged. The lacuna value for interpolation is <code>1</code>.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_brightness_using_numbers_and_percentages">Setting brightness using numbers and percentages</h3>

<pre class="brush: css notranslate">brightness(0%)   /* Completely black */
brightness(0.4)  /* 40% brightness */
brightness(1)    /* No effect */
brightness(200%) /* Double brightness */</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Filters 1.0', '#funcdef-filter-brightness', 'brightness()')}}</td>
   <td>{{Spec2('Filters 1.0')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("&lt;filter-function&gt;")}}</li>
 <li>{{cssxref("filter-function/blur", "blur()")}}</li>
 <li>{{cssxref("filter-function/contrast", "contrast()")}}</li>
 <li>{{cssxref("filter-function/drop-shadow", "drop-shadow()")}}</li>
 <li>{{cssxref("filter-function/grayscale", "grayscale()")}}</li>
 <li>{{cssxref("filter-function/hue-rotate", "hue-rotate()")}}</li>
 <li>{{cssxref("filter-function/invert", "invert()")}}</li>
 <li>{{cssxref("filter-function/opacity", "opacity()")}}</li>
 <li>{{cssxref("filter-function/saturate", "saturate()")}}</li>
 <li>{{cssxref("filter-function/sepia", "sepia()")}}</li>
</ul>
